<?php

namespace General\Requests;

use General\Services\LandingPage\LandingPageLinkService;
use Illuminate\Validation\Rule;

class QueryReportRequest extends Request
{
    public function rules()
    {
        return [
            'begin_time' => 'date',
            'end_time' => 'date|after_or_equal:begin_time',
            'uid' => 'integer',
            'send_order_id' => 'integer|exists:qapp_send_orders:send_order_id',
            'adid' => 'string',
            'type' => ['string', Rule::in([
                'amount_filter',
                'register_24_charge',
                'current_day_register',
                'no_user_match',
                'feedback_user',
                'percent_filter',
                'protected_eligible',
            ])],
            'status' => ['integer', Rule::in([0, 1])],
        ];
    }
}
